This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 228819 - korganizer should have -m cli switch for text/calendar mime type
korganizer should have -m cli switch for text/calendar mime type
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdepim (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-15 05:40 EST by Juha Tuomala
Modified: 2008-02-08 07:09 EST (History)
0 users

See Also:
Fixed In Version: F7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 06:55:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Juha Tuomala 2007-02-15 05:40:04 EST
Description of problem:

KDE 3.5.6 supports -merge/-m switch finally. This merges calendar coming from 
mime/binding (like http) to Korganizer default calendar, but FC6 configuration 
lacks this setting and thus it opens a new calendar instead.

File:

  /usr/share/applications/kde/korganizer.desktop

has line:

  Exec=korganizer %U

but it should be:

  Exec=korganizer -m %U


Version-Release number of selected component (if applicable):

kdepim-3.5.6-0.2.fc6

How reproducible:

Always.

Steps to Reproduce:

  Click (in konqueror for example):

    http://www.telkku.com/kalenteri.vcs?oid=18211975

Actual results:

  It opens a new window/tab with embedded browser
  and new fresh calendar. (which is useless)

Expected results:

  It should merge it into korganizer user's default calendar.

Additional info:

I tried to add it using kcontrol mime type tool but after
modfifying, it creates ~/.local/share/applications/kde/korganizer.desktop file 
with -m switch but for some reason the Korganizer entry disappears 
from 'Application preference order' box. 

Copying a /usr/share global file into ~/.local makes it visible again, but 
even it has the -m switch added, it doesn't work. It opens a new window/tab 
still, regardless what are the 'Embedding -> left click action' settings.
Comment 1 Lukáš Tinkl 2008-02-08 06:55:52 EST
Fixed in currently supported versions (F7, F8)
Comment 2 Juha Tuomala 2008-02-08 07:09:53 EST
Very nice, thank you :)

Note You need to log in before you can comment on or make changes to this bug.